Subject: Re: [PATCH 1/2] pcnet32: NAPI implementation

From: Jeff Garzik <[email-masked]>
Date: Mon, 11 Sep 2006 09:01:59 -0400

Don Fry wrote:
> Implement NAPI changes to pcnet32 driver.  Compile default is off.
> Listed as experimental.
> 
> Len and Don both worked on a NAPI implementation and have both tested
> these changes. 
> 
> An e1000 blasting short packets to the pcnet32 will lockup Don's system
> until the receive storm stops.  Without NAPI Len's system watchdog would
> expire causing the system to reboot.  With NAPI the system will stay
> operational.
> 
> Tested ia32 and ppc64.  Tested '970A, '971, '972, '973, '975, '976, and
> '978.
> 
> The Kconfig changes came from Len.  Don is to blame for all the others.
> 
> Signed-off-by: Len Sorensen <[email-masked]>
> Signed-off-by: Don Fry <[email-masked]>

Please break this up into two patches:  one patch breaks code out into 
separate functions, but does not functionality at all.  second patch 
implements NAPI.

otherwise OK

	Jeff